UnsupportedTerminal
Date: 2015-12-09

jline

## Class UnsupportedTerminal

- java.lang.Object
- - jline.Terminal
  - - jline.UnsupportedTerminal

- All Implemented Interfaces:
    ConsoleOperations

      public class UnsupportedTerminal
      extends Terminal

  A no-op unsupported terminal.
  Author:
    Marc Prud'hommeaux

- - ### Field Summary

    - ### Fields inherited from interface jline.ConsoleOperations

      `ABORT, ADD, BACKSPACE, CHANGE_CASE, CHANGE_META, CLEAR_LINE, CLEAR_SCREEN, COMPLETE, CR, CTRL_A, CTRL_B, CTRL_C, CTRL_D, CTRL_E, CTRL_F, CTRL_G, CTRL_K, CTRL_L, CTRL_N, CTRL_OB, CTRL_P, CTRL_QM, DELETE, DELETE_META, DELETE_NEXT_CHAR, DELETE_PREV_CHAR, DELETE_PREV_WORD, END_OF_HISTORY, END_WORD, EXIT, INSERT, KEYBOARD_BELL, KILL_LINE, KILL_LINE_PREV, MOVE_TO_BEG, MOVE_TO_END, NEWLINE, NEXT_CHAR, NEXT_HISTORY, NEXT_SPACE_WORD, NEXT_WORD, PASTE, PASTE_NEXT, PASTE_PREV, PREV_CHAR, PREV_HISTORY, PREV_SPACE_WORD, PREV_WORD, REDISPLAY, REPEAT_NEXT_CHAR, REPEAT_PREV_CHAR, REPEAT_SEARCH_NEXT, REPEAT_SEARCH_PREV, REPLACE_CHAR, REPLACE_MODE, RESET_LINE, SEARCH_NEXT, SEARCH_PREV, START_OF_HISTORY, SUBSTITUTE_CHAR, SUBSTITUTE_LINE, TO_END_WORD, TO_NEXT_CHAR, TO_PREV_CHAR, UNDO, UNKNOWN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnsupportedTerminal()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterReadLine(ConsoleReader reader, java.lang.String prompt, java.lang.Character mask)` Invokes after the console reads a line with the prompt and mask.
    `void` | `beforeReadLine(ConsoleReader reader, java.lang.String prompt, java.lang.Character mask)` Invokes before the console reads a line with the prompt and mask.
    `void` | `disableEcho()` Disable character echoing.
    `void` | `enableEcho()` Enable character echoing.
    `boolean` | `getEcho()` Returns true if the terminal will echo all characters type.
    `int` | `getTerminalHeight()` Always returng 24, since we can't access this info on Windows.
    `int` | `getTerminalWidth()` Always returng 80, since we can't access this info on Windows.
    `void` | `initializeTerminal()` Initialize any system settings that are required for the console to be able to handle input correctly, such as setting tabtop, buffered input, and character echo.
    `boolean` | `isEchoEnabled()` Returns false if character echoing is disabled.
    `boolean` | `isSupported()` Returns true if this terminal is capable of initializing the terminal to use jline.

    - ### Methods inherited from class jline.Terminal

      `getDefaultBindings, getTerminal, isANSISupported, readCharacter, readVirtualKey, resetTerminal, setupTerminal`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnsupportedTerminal

          public UnsupportedTerminal()

  - ### Method Detail

    - #### initializeTerminal

          public void initializeTerminal()

      Description copied from class: `Terminal`
      Initialize any system settings that are required for the console to be able to handle input correctly, such as setting tabtop, buffered input, and character echo.
      Specified by:
        `initializeTerminal` in class `Terminal`

    - #### getEcho

          public boolean getEcho()

      Description copied from class: `Terminal`
      Returns true if the terminal will echo all characters type.
      Specified by:
        `getEcho` in class `Terminal`

    - #### isEchoEnabled

          public boolean isEchoEnabled()

      Description copied from class: `Terminal`
      Returns false if character echoing is disabled.
      Specified by:
        `isEchoEnabled` in class `Terminal`

    - #### enableEcho

          public void enableEcho()

      Description copied from class: `Terminal`
      Enable character echoing. This can be used to re-enable character if the ConsoleReader is no longer being used.
      Specified by:
        `enableEcho` in class `Terminal`

    - #### disableEcho

          public void disableEcho()

      Description copied from class: `Terminal`
      Disable character echoing. This can be used to manually re-enable character if the ConsoleReader has been disabled.
      Specified by:
        `disableEcho` in class `Terminal`

    - #### getTerminalWidth

          public int getTerminalWidth()

      Always returng 80, since we can't access this info on Windows.
      Specified by:
        `getTerminalWidth` in class `Terminal`

    - #### getTerminalHeight

          public int getTerminalHeight()

      Always returng 24, since we can't access this info on Windows.
      Specified by:
        `getTerminalHeight` in class `Terminal`

    - #### isSupported

          public boolean isSupported()

      Description copied from class: `Terminal`
      Returns true if this terminal is capable of initializing the terminal to use jline.
      Specified by:
        `isSupported` in class `Terminal`

    - #### beforeReadLine

          public void beforeReadLine(ConsoleReader reader,
                            java.lang.String prompt,
                            java.lang.Character mask)

      Description copied from class: `Terminal`
      Invokes before the console reads a line with the prompt and mask.
      Overrides:
        `beforeReadLine` in class `Terminal`

    - #### afterReadLine

          public void afterReadLine(ConsoleReader reader,
                           java.lang.String prompt,
                           java.lang.Character mask)

      Description copied from class: `Terminal`
      Invokes after the console reads a line with the prompt and mask.
      Overrides:
        `afterReadLine` in class `Terminal`